/******************************************************************************
 *  SiteBar XUL - A Firefox sidebar for the SiteBar Bookmark Server.          *
 *  Copyright (C) 2003,2004  Bas Burger																				*
 *	<http://knowledge-emporium.com/forum/index.php?styleid=18> 					      *
 *                                                                            *
 *  This program is free software; you can redistribute it and/or modify      *
 *  it under the terms of the GNU General Public License as published by      *
 *  the Free Software Foundation; either version 2 of the License, or         *
 *  (at your option) any later version.                                       *
 *                                                                            *
 *  This program is distributed in the hope that it will be useful,           *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of            *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
 *  GNU General Public License for more details.                              *
 *                                                                            *
 *  You should have received a copy of the GNU General Public License         *
 *  along with this program; if not, write to the Free Software               *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
 ******************************************************************************/

// Removes a substring from a string
function sitebar_removeSubstring(string, substring)
{
    // If the string was not empty
    if(string)
    {
        const substringStart = string.indexOf(substring);

        // If the substring was found in the string
        if(substring && substringStart != -1)
        {
            return string.substring(0, substringStart) + string.substring(substringStart + substring.length, string.length);
        }
        else
        {
            return string;
        }
    }
    else
    {
        return "";
    }
}

// Trims leading and trailing spaces from a string
function sitebar_trim(string)
{
    // If the string is not empty
    if(string)
    {
        return string.replace(/^\s*|\s*$/g, "");
    }
    else
    {
        return "";
    }
}
